/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SRC_table.sql **/
 EXEC p_AlterColumn 'T_SRC_APPLY', 'FTITLE', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_APPLY_L', 'FTITLE', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_APPLYENTRY', 'FTITLE', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_APPLYENTRY_L', 'FTITLE', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_CHANGETYPE', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_CHANGETYPE_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_CHGCONDITION', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_CHGCONDITION', 'FREMARK', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_CHGCONDITION_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_CHGCONDITION_L', 'FREMARK', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_CHGHANDLER', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_CHGHANDLER', 'FREMARK', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_CHGHANDLER_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_CHGHANDLER_L', 'FREMARK', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_COMPONENT', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_COMPONENT_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DECIDE', 'FTITLE', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DECIDE', 'FMULILANGTEXTFIELD', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DECIDE_L', 'FTITLE', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DECIDE_L', 'FMULILANGTEXTFIELD', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DECISIONFORM', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DECISIONFORM_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DECISIONLEVEL', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DECISIONLEVEL_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DECISIONTPL', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DECISIONTPL_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DEMAND', 'FTITLE', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DEMAND_L', 'FTITLE', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DEMANDAMOUNT', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DEMANDAMOUNT_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DEMANDBIZNODE', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DEMANDBIZNODE', 'FREMARK', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DEMANDCOMP', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DEMANDCOMP', 'FREMARK', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DEMANDCOMP_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DEMANDCOMP_L', 'FREMARK', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT', 'FOFFICE', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT', 'FJOB', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT', 'FJOBTITLE', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT', 'FVOCATIONALQUALIFICATION', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT', 'FWORKINGMAJOR', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT', 'FREMARK', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT', 'FOFFICEADDRESS', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT_L', 'FOFFICE', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT_L', 'FJOB', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT_L', 'FJOBTITLE', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT_L', 'FVOCATIONALQUALIFICATION', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT_L', 'FWORKINGMAJOR', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT_L', 'FREMARK', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_EXPORT_L', 'FOFFICEADDRESS', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_GETCAT', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_GETCAT_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_INDEX', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_INDEX_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_INDEXCLASS', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_INDEXCLASS', 'FFULLNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_INDEXCLASS', 'FREMARK', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_INDEXCLASS_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_INDEXCLASS_L', 'FFULLNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_INDEXCLASS_L', 'FREMARK', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_INVITECONFIG', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_INVITECONFIG_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_MATERIAL', 'FNAME', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_MATERIAL_L', 'FNAME', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_MATERIALGROUP', 'FNAME', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_MATERIALGROUP_L', 'FNAME', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_MSGNOTICE', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_MSGNOTICE_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_OUTAREA', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_OUTAREA_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_OUTPROCESS', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_OUTPROCESS_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_OVERTIMERULE', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_OVERTIMERULE_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PATTERN', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PATTERN' AND KSQL_COL_NAME ='FISDEFAULT') 
 ALTER TABLE T_SRC_PATTERN ADD (FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL );
 EXEC p_AlterColumn 'T_SRC_PATTERN_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PMPAPPLY', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PMPAPPLY_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PRELEVELJUDGE', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PRELEVELJUDGE_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PRICECONFIRM', 'FBILLNAME', 'VARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PRICECONFIRM_L', 'FBILLNAME', 'VARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PROCHGCONDITION', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PROCHGCONDITION', 'FREMARK', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PROCHGCONDITION_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PROCHGCONDITION_L', 'FREMARK', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PROCHGHANDLER', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PROCHGHANDLER', 'FREMARK', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PROCHGHANDLER_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PROCHGHANDLER_L', 'FREMARK', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PROJECT', 'FBIDNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PROJECT_L', 'FBIDNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PURBILL', 'FTITLE', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PURBILL_L', 'FTITLE', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PURLISTENTRY_L', 'FBIDNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_ROLE', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_ROLE_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_SCHEME_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_SCHEME_L', 'FREMARK', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_SERVICEMSG', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_SERVICEMSG_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_SERVICETYPE', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_SERVICETYPE_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_SETTINGTPL', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_SETTINGTPL_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_SRMREGIONGROUP', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_SRMREGIONGROUP_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_SUPPLIER_TMP', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_SUPPLIER_TMP_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_TEMPLETE', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_TEMPLETE_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_SCHEMEINDEX' AND KSQL_COL_NAME ='FSCOREMETHOD') 
 ALTER TABLE T_SRC_SCHEMEINDEX ADD (FSCOREMETHOD CHAR(1) DEFAULT '1' NOT NULL );
 EXEC p_AlterColumn 'T_SRC_SCHEME', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRC_SCHEME', 'FREMARK', 'NVARCHAR(600)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_SCHEME' AND KSQL_COL_NAME ='FSCOREMETHOD') 
 ALTER TABLE T_SRC_SCHEME ADD (FSCOREMETHOD CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PURLISTENTRY_F' AND KSQL_COL_NAME ='FLOCCURRID') 
 ALTER TABLE T_SRC_PURLISTENTRY_F ADD (FLOCCURRID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PURLISTENTRY_F' AND KSQL_COL_NAME ='FLOCPRICE') 
 ALTER TABLE T_SRC_PURLISTENTRY_F ADD (FLOCPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PURLISTENTRY_F' AND KSQL_COL_NAME ='FLOCTAXPRICE') 
 ALTER TABLE T_SRC_PURLISTENTRY_F ADD (FLOCTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PURLISTENTRY_F' AND KSQL_COL_NAME ='FLOCAMOUNT') 
 ALTER TABLE T_SRC_PURLISTENTRY_F ADD (FLOCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PURLISTENTRY_F' AND KSQL_COL_NAME ='FLOCTAXAMOUNT') 
 ALTER TABLE T_SRC_PURLISTENTRY_F ADD (FLOCTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PURLISTENTRY_F' AND KSQL_COL_NAME ='FEXCHTYPEID') 
 ALTER TABLE T_SRC_PURLISTENTRY_F ADD (FEXCHTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PURLISTENTRY_F' AND KSQL_COL_NAME ='FEXCHRATE') 
 ALTER TABLE T_SRC_PURLISTENTRY_F ADD (FEXCHRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
 EXEC p_AlterColumn 'T_SRC_DEMANDBIZNODE_L', 'FNAME', 'NVARCHAR(300)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SRC_DEMANDBIZNODE_L', 'FREMARK', 'NVARCHAR(300)', 'NOT NULL', '0100', ''' ''';


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SRC_table.sql **/
